/**
 * Interface defining configuration options for the PDF viewer
 */
export interface PdfOptions {
    height?: string;
    width?: string;
    renderTextLayer?: boolean;
    renderAnnotationLayer?: boolean;
    initialZoom?: number;
    initialPage?: number;
    autoFit?: boolean;
    showControls?: boolean;
    showNavigation?: boolean;
    showZoomControls?: boolean;
    showRotationControls?: boolean;
    showDownloadButton?: boolean;
    showPrintButton?: boolean;
    showSearchBar?: boolean;
    showThumbnails?: boolean;
    showOutline?: boolean;
    enableTextSelection?: boolean;
    workerSrc?: string;
}
